Bug 797587 - Make Human Task Service host and port configurable
Make Human Task Service host and port configurable
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER5
: BRMS 5.3.0.GA
Assigned To: Maciej Swiderski
Jiri Locker
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-26 18:17 EST by Jiri Locker
Modified: 2016-07-31 21:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2012-02-26 18:17:58 EST
Description of problem:
jBPM Console (the server part, gwt-console-server.war) reads jbpm.console.task.service.host and jbpm.console.task.service.port to configure a WorkItemHandler for human tasks. However, Human Task Service host and port cannot be changed, the default values 127.0.0.1 and 9123 are used.

Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER4

Actual results:
No way to change host and port of the deployed Human Task Service (jbpm-human-task.war)

Expected results:
HT-Service host and port should be configurable

Additional info:
Comment 2 Maciej Swiderski 2012-03-14 10:02:47 EDT
Pull request for this is already available at https://github.com/droolsjbpm/jbpm/pull/57.

It provides a bit more than just configuration of host and port. It allows to configure various transports (hornetQ, mina, jms) where hornetq is the default one. In addition to that some components of the task service can be configured as well:
- persistence unit name
- user group callback implementation
- escalated deadline handler implementation
- user info implementation

All of the configuration is done via init parameters of the servet in web.xml. web.xml consists of all init parameters (without values so defaults will apply) to provide full list of available options.
Comment 4 Ryan Zhang 2012-03-21 06:07:10 EDT
Please verify this issue on ER5.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.